Package org.springframework.jdbc.datasource.embedded

# Interface ConnectionProperties

public interface ConnectionProperties
`ConnectionProperties` serves as a simple data container that allows essential JDBC connection properties to be configured consistently, independent of the actual `DataSource` implementation.

Since:
  3.0
Author:
  Keith Donald, Sam Brannen
See Also:
  - `DataSourceFactory`

## Method Summary

Modifier and Type
Method
Description
`void`
`setDriverClass(Class<? extends Driver> driverClass)`
Set the JDBC driver class to use to connect to the database.
`void`
`setPassword(String password)`
Set the password to use to connect to the database.
`void`
`setUrl(String url)`
Set the JDBC connection URL for the database.
`void`
`setUsername(String username)`
Set the username to use to connect to the database.

## Method Details

### setDriverClass

void setDriverClass(Class<? extends Driver> driverClass)
Set the JDBC driver class to use to connect to the database.

Parameters:
  `driverClass` - the jdbc driver class

### setUrl

void setUrl(String url)
Set the JDBC connection URL for the database.

Parameters:
  `url` - the connection url

### setUsername

void setUsername(String username)
Set the username to use to connect to the database.

Parameters:
  `username` - the username

### setPassword

void setPassword(String password)
Set the password to use to connect to the database.

Parameters:
  `password` - the password